package org.xyzh.common.core.exception;

public class BaseException extends RuntimeException{
    private Integer code;

    private String description;

    public BaseException(Integer code, String description, String message) {
        super(message);
        this.code = code;
        this.description = description;
    }

    public Integer getCode(){
        return this.code;
    }

    public String getDescription(){
        return this.description;
    }

    public String getMessage(){
        return super.getMessage();
    }
    
    
}
